@import url(https://fonts.googleapis.com/css?family=Share+Tech+Mono);

:root {
    /* variable declaration */
    --main-width: 1200;
    --botcam-width: 288px;
    --botcam-height: 352px;
    --satcam-width: 640px;
    --satcam-height: 480px;
    --responsive-scalar-0: 4;
    --responsive-scalar-400: 3.1;
    --responsive-scalar-800: 1.6;
    --responsive-scalar-1000: 1.3;
    --responsive-scalar-1200: 1.05;
}

* {
    padding: 0;
    margin: 0;
    border: 0;
    overflow-x: hidden;
}

Article, aside, audio, canvas, datalist, details, figcaption, figure, footer, header, hgroup, iframe, menu, nav, section, video {
    display: block;
}

html {
    height: 90%;
    font-family: 'Share Tech Mono';
}

body {
    background-image: url("bg_landscape.jpg");
    background-size: 100% auto;
    background-repeat: no-repeat;
    text-align: center;
    margin: 0;
    height: auto;
    color: lawngreen;
    background-color: black;
    font-size: .1em;
}

img {
    display: block;
    margin-left: auto;
    margin-right: auto;
    border-width: thick;
    border-color: lawngreen;
    border: 1;
    border-radius: 10px;
}

.main {
    z-index: 1;
    left: 30px;
    margin: 0px auto 2px;
    min-height: 100%;
    padding: 0;
    position: relative;
    top: 0px;
    vertical-align: top;
}

#form {
    left: 30px;
    margin: 0px auto 2px;
    width: 90%;
}

nav {
    float: none;
    z-index: 10;
    background-color: grey;
    border: 0 none;
    height: 18px;
    margin: 5px;
    width: auto;
    position: absolute;
    text-align: left;
}

nav:a:link, nav:a:hover, nav:a:visited {
    color: darkgreen;
    text-decoration: none;
    font-weight: bold;
}

nav:a:link:active, nav:a:visited:active {
    text-decoration: underline;
}

nav ul ul {
    display: none;
}

nav ul li:hover>ul {
    display: block;
    background-color: grey;
}

nav li:before {
    content: "-";
}

.activenav:before {
    content: "»";
}

#about_container {
    display: flex;
    flex-direction: column;
    text-align: left;
    list-style: circle;
    width: 90%;
    margin-left: auto;
    margin-right: auto;
}

#about_container ul {
    margin-left: 2em;
}

#about_container li {
    margin-top: .5em;
}

#about_text_container {
    padding: 1em;
    background-color: rgba(0, 0, 0, 0.7);
}

#about_text_container h3 {
    margin-top: 2em;
}

#about_text_container p {
    margin-top: 1em;
}

h1, h2 {
    text-align: center;
}

#space {
    display: none;
}

#outerDiv {
    position: relative;
}

#outerDiv>div {
    position: absolute;
}

#video {
    z-index: 1;
}

#introvideo {
    float: left;
    width: 480;
    margin: auto;
    padding: 20px;
}

#arama2016_lightbox {
    display: flex;
    float: left;
    margin: auto;
    flex-wrap: wrap;
}

#arama2016_lightbox:img {
    margin: 10px;
}

#about_media {
    display: flex;
    flex-direction: row;
}

#space {
    position: fixed;
    z-index: -99;
    left: -200px;
    top: -200px;
    width: 125%;
    height: 125%
}

#space>div {
    position: absolute;
}

a:link {
    color: lawngreen;
    text-decoration: normal;
    font-weight: bold;
}

a:hover {
    color: lightgreen;
    text-decoration: underline;
    font-weight: bold;
}

a:visited {
    color: lawngreen;
    font-weight: normal;
    text-decoration: none;
}

#clocktitle {
    color: orangered;
    font-weight: 100;
    font-size: 2.1em;
    margin: 40px 0 20px;
}

#clockdiv {
    color: orangered;
    display: block;
    font-weight: 100;
    text-align: center;
    font-size: 2em;
}

#clockdiv>div {
    padding: 5px;
    border-radius: 2px;
    background: black;
    display: inline-block;
}

.smalltext {
    font-size: .5em;
}

.blended_grid {
    display: block;
    /*width : 1380px;*/
    width: var(--main-width);
    overflow: visible;
    margin: 10px auto 0 auto;
}

.pageHead {
    float: left;
    clear: none;
    /*height : 200px;*/
    /*width : 1380px;*/
    width: var(--main-width);
}

.livefeed_container {
    display: flex;
    justify-content: space-around;
    align-content: center;
    width: 90% flex: 1 100%;
}

#snapframe {
    width: 640px;
    height: 480px;
}

#cam1ip_report, #cam2ip_report, #satip_report, #bot1ip_report, #bot2ip_report, #bot1dist_report, #bot2dist_report, #bot1temp_report, #bot2temp_report {
    background: rgba(0, 0, 0, 0.5);
    text-align: left;
    padding-left: 10px;
}

#cam1src, #satsrc, #cam2src {
    background: rgba(0, 0, 0, 0.5);
}

.botcam1, .botcam2 {
    float: left;
    clear: none;
    width: calc( var(--botcam-width) / var(--responsive-scalar-0) + 20);
    height: calc( var(--botcam-height) / var(--responsive-scalar-0) + 6em);
}

.satcam {
    float: left;
    clear: none;
    width: calc( var(--satcam-width) / var(--responsive-scalar-0) + 20);
    height: calc( var(--satcam-height) / var(--responsive-scalar-0) + 6em);
}

#cam1src, #cam2src {
    width: calc( var(--botcam-width) / var(--responsive-scalar-0));
    height: calc( var(--botcam-height) / var(--responsive-scalar-0));
    border: 1;
}

#satsrc {
    width: calc( var(--satcam-width) / var(--responsive-scalar-0));
    height: calc( var(--satcam-height) / var(--responsive-scalar-0));
    border: 1;
}

.timer {
    bloat: left;
    clear: none;
    /*height : 100px;*/
    height: auto;
    /*width : 1380px;*/
    width: var(--main-width);
    margin-left: auto;
    margin-right: auto;
}

#submitbutton {
    -moz-transition: all .2s ease-in;
    -o-transition: all .2s ease-in;
    -webkit-transition: all .2s ease-in;
    transition: all .2s ease-in;
    border: 2px groove #7c93ba;
    padding: 5px 10px;
    background-color: rgba(#7c7e85, 0.77);
    color: #fff;
    font-size: 1.1em;
    letter-spacing: .1em;
    -webkit-border-radius: 4px 4px 0;
    -moz-border-radius: 0 4px 4px 0;
    border-radius: 0 4px 4px 0;
}

#submitbutton:hover, #submitbutton:focus {
    background-color: #6ad51f;
}

@media all and (min-width: 400px) {
    body {
        font-size: .4em
    }
    .botcam1, .botcam2 {
        width: calc( var(--botcam-width) / var(--responsive-scalar-400) + 20);
        height: calc( var(--botcam-height) / var(--responsive-scalar-400) + 6em);
    }
    .satcam {
        width: calc( var(--satcam-width) / var(--responsive-scalar-400) + 20);
        height: calc( var(--satcam-height) / var(--responsive-scalar-400) + 6em);
    }
    #cam1src, #cam2src {
        width: calc( var(--botcam-width) / var(--responsive-scalar-400));
        height: calc( var(--botcam-height) / var(--responsive-scalar-400));
    }
    #satsrc {
        width: calc( var(--satcam-width) / var(--responsive-scalar-400));
        height: calc( var(--satcam-height) / var(--responsive-scalar-400));
    }
}

@media all and (min-width: 800px) {
    body {
        font-size: 1em
    }
    .botcam1, .botcam2 {
        width: calc( var(--botcam-width) / var(--responsive-scalar-800) + 40);
        height: calc( var(--botcam-height) / var(--responsive-scalar-800) + 6em);
    }
    .satcam {
        width: calc( var(--satcam-width) / var(--responsive-scalar-800) + 40);
        height: calc( var(--satcam-height) / var(--responsive-scalar-800) + 6em);
    }
    #cam1src, #cam2src {
        width: calc( var(--botcam-width) / var(--responsive-scalar-800));
        height: calc( var(--botcam-height) / var(--responsive-scalar-800));
    }
    #satsrc {
        width: calc( var(--satcam-width) / var(--responsive-scalar-800));
        height: calc( var(--satcam-height) / var(--responsive-scalar-800));
    }
}

@media all and (min-width: 1000px) {
    body {
        font-size: 1em
    }
    .botcam1, .botcam2 {
        width: calc( var(--botcam-width) / var(--responsive-scalar-1000) + 60);
        height: calc( var(--botcam-height) / var(--responsive-scalar-1000) + 6em);
    }
    .satcam {
        width: calc( var(--satcam-width) / var(--responsive-scalar-1000) + 60);
        height: calc( var(--satcam-height) / var(--responsive-scalar-1000) + 6em);
    }
    #cam1src, #cam2src {
        width: calc( var(--botcam-width) / var(--responsive-scalar-1000));
        height: calc( var(--botcam-height) / var(--responsive-scalar-1000));
    }
    #satsrc {
        width: calc( var(--satcam-width) / var(--responsive-scalar-1000));
        height: calc( var(--satcam-height) / var(--responsive-scalar-1000));
    }
}

@media all and (min-width: 1200px) {
    body {
        font-size: 1em
    }
    .botcam1, .botcam2 {
        width: calc( var(--botcam-width) / var(--responsive-scalar-1200) + 80);
        height: calc( var(--botcam-height) / var(--responsive-scalar-1200) + 6em);
    }
    .satcam {
        width: calc( var(--satcam-width) / var(--responsive-scalar-1200) + 80);
        height: calc( var(--satcam-height) / var(--responsive-scalar-1200) + 6em);
    }
    #cam1src, #cam2src {
        width: calc( var(--botcam-width) / var(--responsive-scalar-1200));
        height: calc( var(--botcam-height) / var(--responsive-scalar-1200));
    }
    #satsrc {
        width: calc( var(--satcam-width) / var(--responsive-scalar-1200));
        height: calc( var(--satcam-height) / var(--responsive-scalar-1200));
    }
}
